:root {
    font-size: 3vmin;
    font-family: Arial, Helvetica, sans-serif;
}

* {
    padding: 0;
    margin: 0;
}

#main-container {
    position: absolute;
    height: 100vh;
    width: 100vw;
    background-color: #151515;
    justify-content: end;
    align-items: center;
    display: flex;
    flex-direction: column;
}

.entry {
    border: 2px solid #404040;
    background-color: #303030;
    border-radius: 5px;
    padding: 5px;
    color: white;
    font-family: Arial;
    font-size: 1rem;
    width: 90%;
    margin-top: 5px;
    transition: transform 0.5s ease, opacity 0.5s ease; /* Smooth transition for both moving and fading in */
}

label {
    font-size: .9rem;
}

#entry-wrapper {
    width: 90%;
    display: flex;
    flex-direction: column;
    justify-content: start;
    transition: .5s ease;
    max-height: 80%;
    overflow-y: auto;
    overflow-x: hidden;
}

#add {
    margin: 3vmin;
    border-radius: 50%;
    border: 2px solid #505050;
    background-color: #404040;
    width: 7vmin;
    height: 7vmin;
    text-align: center;
    vertical-align: middle;
    color: #c0c0c0;
    font-size: 1rem;
    transition: .25s ease;
}

#add:hover {
    background-color: #303030;
}

.input-container {
    margin: 2.5px;
    display: flex;
    flex-direction: column;
}

input, textarea {
    background-color: #505050;
    border: 2px solid #606060;
    border-radius: 5px;
    padding: 2px;
    color: white;
    transition: .5s ease;
}

input:focus, textarea:focus {
    outline: none;
    border: 2px solid #003153;
}

hr {
    border: 1px solid #606060;
}

textarea {
    resize: vertical;
    font-family: Arial, Helvetica, sans-serif;
}
